🚧 This integration is currently in preview and subject to change.
curl --request GET \
--url https://api.moonpay.com/platform/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "completed",
"source": {
"amount": "<string>",
"asset": {
"code": "USD"
}
},
"destination": {
"amount": "<string>",
"asset": {
"code": "<string>"
}
},
"fees": {
"network": {
"amount": "<string>",
"asset": {
"code": "USD"
}
},
"moonpay": {
"amount": "<string>",
"asset": {
"code": "USD"
}
},
"partner": {
"amount": "<string>",
"asset": {
"code": "USD"
}
}
},
"wallet": {
"address": "0x1234567890123456789012345678901234567890"
},
"customer": {
"id": "<string>"
},
"paymentMethod": {
"type": "apple_pay"
},
"stages": [
{
"kind": "ordering",
"name": "<string>",
"status": "not_started",
"failureReason": "<string>"
}
]
}
}Get details for a single transaction by ID
curl --request GET \
--url https://api.moonpay.com/platform/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "completed",
"source": {
"amount": "<string>",
"asset": {
"code": "USD"
}
},
"destination": {
"amount": "<string>",
"asset": {
"code": "<string>"
}
},
"fees": {
"network": {
"amount": "<string>",
"asset": {
"code": "USD"
}
},
"moonpay": {
"amount": "<string>",
"asset": {
"code": "USD"
}
},
"partner": {
"amount": "<string>",
"asset": {
"code": "USD"
}
}
},
"wallet": {
"address": "0x1234567890123456789012345678901234567890"
},
"customer": {
"id": "<string>"
},
"paymentMethod": {
"type": "apple_pay"
},
"stages": [
{
"kind": "ordering",
"name": "<string>",
"status": "not_started",
"failureReason": "<string>"
}
]
}
}Bearer authentication header using an access token.
Example: Authorization: Bearer <accessToken>
The MoonPay ID of the transaction.
The request has succeeded.
Transaction with lifecycle stages showing step-by-step progress.
Show child attributes